package com.yd.csf.api.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yd.common.result.Result;
import com.yd.csf.feign.request.conditionconfig.ApiConditionConfigAddRequest;
import com.yd.csf.feign.request.conditionconfig.ApiConditionConfigEditRequest;
import com.yd.csf.feign.request.conditionconfig.ApiConditionConfigPageRequest;
import com.yd.csf.feign.response.conditionconfig.ApiConditionConfigDetailResponse;
import com.yd.csf.feign.response.conditionconfig.ApiConditionConfigPageResponse;

public interface ApiConditionConfigService {

    Result<IPage<ApiConditionConfigPageResponse>> page(ApiConditionConfigPageRequest request);

    Result<ApiConditionConfigDetailResponse> detail(String conditionBizId);

    Result add(ApiConditionConfigAddRequest request);

    Result edit(ApiConditionConfigEditRequest request);

    Result del(String conditionBizId);
}
